Trigger Monitoring Job
curl --request POST \
--url https://api.example.com/back-office/monitoring \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"startDate": "<string>",
"endDate": "<string>",
"all": false
}
'import requests
url = "https://api.example.com/back-office/monitoring"
payload = {
"startDate": "<string>",
"endDate": "<string>",
"all": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({startDate: '<string>', endDate: '<string>', all: false})
};
fetch('https://api.example.com/back-office/monitoring', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"message": "<string>",
"monitoringOptions": {
"all": true,
"startDate": "<string>",
"endDate": "<string>"
}
},
"message": "<string>"
}{
"code": "bad_request",
"message": "<string>",
"data": "<unknown>"
}{
"code": "validation_error",
"message": "<string>",
"data": [
"<unknown>"
]
}{
"code": "internal_server_error",
"message": "<string>",
"data": "<unknown>"
}Monitoring
Trigger Monitoring Job
POST
/
back-office
/
monitoring
Trigger Monitoring Job
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Monitoring job parameters
Type of monitoring job to run
Available options:
payments_status_mismatch, invoices_mismatch, payments_stuck, customers_mismatch, customer_info_mismatch Start date in YYYY-MM-DD format
Pattern:
^\d{4}-\d{2}-\d{2}$End date in YYYY-MM-DD format
Pattern:
^\d{4}-\d{2}-\d{2}$Whether to fetch all records or only active ones
Response
Monitoring job triggered successfully
Show child attributes
Show child attributes
Available options:
health_status_ok, health_status_error, validation_error, bad_request, unauthorized, forbidden, not_found, method_not_allowed, internal_server_error, organization_not_found, cannot_access_organization, api_key_not_found, resource_already_exists ⌘I